#include <avr/io.h>
#include <util/delay.h>

int main(void){
    PORTA=(1<<PA7); //initializing the pull up resistor on PA7
    DDRB = (1<<DDB2); //pin 2 of port B is set to the output mode
    TCCR0A = (1<<COM0A1)|(1<<WGM00); //PWM, Phase Correct
    TCCR0B = (2<<CS00); // 256 step timer with /8 prescale
    OCR0A=255; //Intensity control = duty cycle*255
    while (1) {
        if ((PINA & (1<<PA7))==0){ /*test if value on PINA is high using the mask (is the button pressed?)*/
            OCR0A=255;         }
        else {
            OCR0A=13; //lower intensity
        }
    }
    return(0);
}

